package de.intevation.gnv.timeseries.gap;

public interface TimeGap {

    public final static String TIME_UNIT_MINUTE = "m";
    public final static String TIME_UNIT_HOUR = "h";
    public final static String TIME_UNIT_DAY = "D";
    public final static String TIME_UNIT_WEEK = "W";
    public final static String TIME_UNIT_MONTH = "M";
    public final static String TIME_UNIT_YEAR = "Y";

    public final static long  MINUTE_IN_MILLIS = 60 * 1000;
    public final static long  HOUR_IN_MILLIS = 60 * MINUTE_IN_MILLIS;
    public final static long  DAY_IN_MILLIS = 24 * HOUR_IN_MILLIS;
    public final static long  WEEK_IN_MILLIS = 7 * DAY_IN_MILLIS;


    /**
     * Returns the Lookup-Key for the TimeGap
     * @return
     */
    int getKey();

    /**
     * Returns the Value of the TimeValue in the Unit which is also given.
     * @return
     */
    int getValue();

    /**
     * Returns the Unit of the Timegap (e.g. Minutes, Hours, Days, Weeks, Months, Years)
     * @return
     */
    String getUnit();

}
